---

- name: Determine architecture
  set_fact:
    vault_arch: "{{ 'arm64' if ansible_architecture == 'aarch64' else 'amd64' }}"

- name: Download Vault
  get_url:
    url: "https://releases.hashicorp.com/vault/{{ packer_vars.vault_version }}/vault_{{ packer_vars.vault_version }}_linux_{{ vault_arch }}.zip"
    dest: "/tmp/vault.zip"

- name: Unarchive Vault
  unarchive:
    src: "/tmp/vault.zip"
    dest: "/bin"
    remote_src: yes

- name: Make Vault executable
  file:
    path: "/bin/vault"
    mode: "u+x"

- name: Verify Vault installation
  shell: vault --version
  register: installed_vault_version

- name: Print installed Vault version
  debug:
    var: installed_vault_version.stdout